import org.Hello.*;

import java.util.Properties;

import javax.naming.Context;
import javax.naming.InitialContext;

public class BankClient 
{
 	public static void main(String args[]) 
 	{
		if (args.length < 1) {
			System.out.println("Arguments: <account no> <name> <close?>");
			System.exit(1);
		}

		try {
			Properties p = new Properties();
			p.put("java.naming.factory.initial", "org.apache.openejb.client.RemoteInitialContextFactory");
			p.put("java.naming.provider.url", "ejbd://127.0.0.1:9006");
			InitialContext ctx = new InitialContext(p);
	
    		Object obj = ctx.lookup("BankImplRemote");
    		BankRemote bank = (BankRemote)obj;
    
			int n = Integer.parseInt(args[0]);
			if (args.length < 2) {
    			System.out.println("Account " + n + ", name = " 
								   + bank.getName(n));
			}
			else {
				Account acc = bank.create(n,args[1]);
    			System.out.println("Created account " + acc.getAccountNo() 
								   + ", name = " + acc.getName());
    			System.out.println("Setting local name to 'Niemand'");
				acc.setName("Niemand");
    			System.out.println("Local name = " + acc.getName());
    			System.out.println("Remote name = " + bank.getName(n));
				if (args.length >= 3)
    				bank.close(n);
			}
	  	} 
	  	catch (Exception e) {
	    		e.printStackTrace();
  		}
 	}
}
